DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# IntegerArrayFind

Find value in array

## SYNOPSIS

dip_Error dip_IntegerArrayFind ( array, value, index, found )

## FUNCTION

Finds a value in an array and "returns" its index in the array. If `found` is zero, `IntegerArrayFind` will produce an error if `value` is not found, otherwise `found` obtains the search result (`DIP_FALSE` if `value` is not found).

## ARGUMENTS

Data type | Name | Description
`dip_IntegerArray` | `array` | Array to find value in
`dip_int` | `value` | Value to find
`dip_int *` | `index` | Index of the found value
`dip_Boolean *` | `found` | Value found or not

## SEE ALSO

`IntegerArrayNew`, `IntegerArrayFree`, `IntegerArrayCopy`, `IntegerArrayFind`

`IntegerArrayFind`, `FloatArrayFind`, `ComplexArrayFind`, `DataTypeArrayFind`, `BooleanArrayFind`, `VoidPointerArrayFind`

DIPlib on-line documentation | Function reference | Global function index